spec_version = "1.0.0"
canonical_name = "atoms.convergent-systems.co/catalogs/plugin-atoms"
version = "0.1.0"
atom_type = "atoms.convergent-systems.co/catalogs"
authored_by = "ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y="
created_at = "2026-05-22T03:40:32.832Z"

[signatures]
"ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y=" = "p6/WFSwI8h+Fh5v/Qj3v8m2QysOOn+XMQxdU2G9Y3Xk1UWCVk837J7Ht7CnLVCFQhfaXZ/a2qGO8+wFjUb+YCg=="

[body]
atom_types = ["interface-contract", "capability-declaration", "permission-scope", "lifecycle-hook", "trust-primitive"]
canonical_domain = "plugin-atoms.com"
catalog_name = "plugin-atoms"
catalog_version = "0.1.0"
composition_dir = "conventions"
composition_type = "conventions"
federation = "xdao.co"
github_url = "https://github.com/convergent-systems-co/plugin-atoms"
implements_spec = "atoms-spec/v1"
license = "Apache-2.0"
pages_url = "https://plugin-atoms.pages.dev"
purpose = "Plugin interface standards — not implementations — making plugins ecosystem-portable across Convergent Systems runtimes. USB-C for software plugins."
rule_types = ["capability-grant", "semver-compatibility", "trust-chain-verification"]
runtime_consumers = ["aish", "olympus", "universal-bus"]
